extends Node2D

var fireSound
var firingInterval = 0.3
var firingTimer
var canFire = true

func _ready():
	fireSound = get_node("firesound")
	
	firingTimer = Timer.new()
	firingTimer.set_one_shot(true)
	firingTimer.connect("timeout", self, "firingTimerStopped")
	firingTimer.set_wait_time(firingInterval)
	add_child(firingTimer)

func _process(delta):
	
	if Input.is_action_pressed("click"):
		firePressed()

func firePressed():
	
	if canFire:
		fireSound.play()
		firingTimer.start()
		canFire = false

func firingTimerStopped():
	
	canFire = true